Client — Python Apps

Güncellendi 4 Eki 2026 Markdown

Bu sayfa henüz Türkçeye çevrilmedi. İngilizce sürüm gösteriliyor.

GET /api/v1/client/python-apps

List Python apps

List Python apps owned by the authenticated client account.

Responses:

Status Schema Description
200 ApiSuccess_list_PythonAppResponse__ Successful Response

Response example (200):

JSON
{
  "data": [
    {
      "app_dir": "...",
      "app_name": "...",
      "app_type": "...",
      "auto_restart": "...",
      "created_at": "...",
      "display_name": "...",
      "domain": "...",
      "entry_point": "...",
      "env_vars": "...",
      "media_dir": "...",
      "media_url": "...",
      "python_version": "...",
      "server_type": "...",
      "socket_path": "...",
      "static_dir": "...",
      "static_url": "...",
      "status": "...",
      "username": "...",
      "venv_dir": "...",
      "websocket": "...",
      "worker_class": "...",
      "workers": "..."
    }
  ],
  "message": "",
  "status": "success",
  "warnings": [
    "string"
  ]
}

cURL example:

kabuk
curl -X GET \
  -H "X-WHost-Key: $WHOST_API_KEY" \
  -H "X-WHost-Timestamp: $(date +%s)" \
  -H "X-WHost-Nonce: $(openssl rand -hex 16)" \
  -H "X-WHost-Signature: $(compute_hmac)" \
  https://your-server:2000/api/v1/client/python-apps

POST /api/v1/client/python-apps

Create Python app

Create a new Python application for the authenticated client account.

Body fields:

Field Type Required Notes
app_name string yes Application identifier (slug); pattern=^[a-z][a-z0-9_-]{1,30}$
app_type string no Framework type: django | flask | fastapi | custom; default django; pattern=^(django|flask|fastapi|custom)$
auto_restart boolean no Auto-restart on failure; default True
display_name string yes Human-readable name; minLength=1; maxLength=100
domain string yes Associated domain; minLength=3; maxLength=253
entry_point string yes WSGI/ASGI entry point (e.g. myapp.wsgi:application); minLength=3; maxLength=200
env_vars object no Environment variables
media_dir string no Media files directory (relative to app)
media_url string no Media files URL prefix; default /media/
python_version string yes Python version (e.g. 3.12); pattern=^3\.\d{1,2}$
server_type string no Application server: gunicorn | uvicorn; default gunicorn; pattern=^(gunicorn|uvicorn)$
static_dir string no Static files directory (relative to app)
static_url string no Static files URL prefix; default /static/
websocket boolean no Enable WebSocket support (ASGI); default False
worker_class string no Worker class: sync | gthread | uvicorn.workers.UvicornWorker; default sync; pattern=^(sync|gthread|uvicorn\.workers\.UvicornWorker)$
workers integer no Number of workers; default 2; minimum=1.0; maximum=16.0

Request body example:

JSON
{
  "app_name": "string",
  "app_type": "django",
  "auto_restart": true,
  "display_name": "string",
  "domain": "example.com",
  "entry_point": "string",
  "env_vars": {},
  "media_dir": "string",
  "media_url": "/media/",
  "python_version": "string",
  "server_type": "gunicorn",
  "static_dir": "string",
  "static_url": "/static/",
  "websocket": false,
  "worker_class": "sync",
  "workers": 2
}

Responses:

Status Schema Description
200 ApiSuccess_PythonAppResponse_ Successful Response
422 HTTPValidationError Validation Error

Response example (200):

JSON
{
  "data": {
    "app_dir": "string",
    "app_name": "string",
    "app_type": "string",
    "auto_restart": true,
    "created_at": "...",
    "display_name": "string",
    "domain": "example.com",
    "entry_point": "string",
    "env_vars": {},
    "media_dir": "...",
    "media_url": "string",
    "python_version": "string",
    "server_type": "string",
    "socket_path": "string",
    "static_dir": "...",
    "static_url": "string",
    "status": "unknown",
    "username": "alice",
    "venv_dir": "string",
    "websocket": false,
    "worker_class": "string",
    "workers": 0
  },
  "message": "",
  "status": "success",
  "warnings": [
    "string"
  ]
}

cURL example:

kabuk
curl -X POST \
  -H "X-WHost-Key: $WHOST_API_KEY" \
  -H "X-WHost-Timestamp: $(date +%s)" \
  -H "X-WHost-Nonce: $(openssl rand -hex 16)" \
  -H "X-WHost-Signature: $(compute_hmac)" \
  -H "Content-Type: application/json" \
  -d @body.json \
  https://your-server:2000/api/v1/client/python-apps

POST /api/v1/client/python-apps/analyze

Analyze Python project

Analyze an uploaded archive or server-side path for the authenticated client account.

Body fields:

Field Type Required Notes
archive string no —
server_path string no —

Request body example:

JSON
{
  "archive": "string",
  "server_path": "string"
}

Responses:

Status Schema Description
200 ApiSuccess_dict_str__Any__ Successful Response
422 HTTPValidationError Validation Error

Response example (200):

JSON
{
  "data": {},
  "message": "",
  "status": "success",
  "warnings": [
    "string"
  ]
}

cURL example:

kabuk
curl -X POST \
  -H "X-WHost-Key: $WHOST_API_KEY" \
  -H "X-WHost-Timestamp: $(date +%s)" \
  -H "X-WHost-Nonce: $(openssl rand -hex 16)" \
  -H "X-WHost-Signature: $(compute_hmac)" \
  -H "Content-Type: application/json" \
  -d @body.json \
  https://your-server:2000/api/v1/client/python-apps/analyze

POST /api/v1/client/python-apps/deploy

Deploy Python project

Kick off the deploy pipeline for the authenticated client account. Returns a task_id for SSE subscription.

Body fields:

Field Type Required Notes
cleanup_source boolean no default True
create PythonAppCreate yes —
include_secrets boolean no default False
media_archive_path string no —
overwrite boolean no default False
project_root_in_source string no default ``; maxLength=1024
run_collectstatic boolean no default True
run_migrations boolean no default True
source_path string yes minLength=1; maxLength=4096
sql_dump_path string no —

Request body example:

JSON
{
  "cleanup_source": true,
  "create": {
    "app_name": "string",
    "app_type": "django",
    "auto_restart": true,
    "display_name": "string",
    "domain": "example.com",
    "entry_point": "string",
    "env_vars": {},
    "media_dir": "string",
    "media_url": "/media/",
    "python_version": "string",
    "server_type": "gunicorn",
    "static_dir": "string",
    "static_url": "/static/",
    "websocket": false,
    "worker_class": "sync",
    "workers": 2
  },
  "include_secrets": false,
  "media_archive_path": "string",
  "overwrite": false,
  "project_root_in_source": "",
  "run_collectstatic": true,
  "run_migrations": true,
  "source_path": "string",
  "sql_dump_path": "string"
}

Responses:

Status Schema Description
200 ApiSuccess_dict_str__Any__ Successful Response
422 HTTPValidationError Validation Error

Response example (200):

JSON
{
  "data": {},
  "message": "",
  "status": "success",
  "warnings": [
    "string"
  ]
}

cURL example:

kabuk
curl -X POST \
  -H "X-WHost-Key: $WHOST_API_KEY" \
  -H "X-WHost-Timestamp: $(date +%s)" \
  -H "X-WHost-Nonce: $(openssl rand -hex 16)" \
  -H "X-WHost-Signature: $(compute_hmac)" \
  -H "Content-Type: application/json" \
  -d @body.json \
  https://your-server:2000/api/v1/client/python-apps/deploy

GET /api/v1/client/python-apps/deploy/{task_id}

Deploy task status

Snapshot of a deploy task for the authenticated client account.

Path parameters:

Name Type Required Notes
task_id string yes —

Responses:

Status Schema Description
200 ApiSuccess_dict_str__Any__ Successful Response
422 HTTPValidationError Validation Error

Response example (200):

JSON
{
  "data": {},
  "message": "",
  "status": "success",
  "warnings": [
    "string"
  ]
}

cURL example:

kabuk
curl -X GET \
  -H "X-WHost-Key: $WHOST_API_KEY" \
  -H "X-WHost-Timestamp: $(date +%s)" \
  -H "X-WHost-Nonce: $(openssl rand -hex 16)" \
  -H "X-WHost-Signature: $(compute_hmac)" \
  https://your-server:2000/api/v1/client/python-apps/deploy/{task_id}

GET /api/v1/client/python-apps/deploy/{task_id}/events

Client Deploy Events

Server-Sent Events stream for a running client deploy task.

Path parameters:

Name Type Required Notes
task_id string yes —

Responses:

Status Schema Description
200 — Successful Response
422 HTTPValidationError Validation Error

cURL example:

kabuk
curl -X GET \
  -H "X-WHost-Key: $WHOST_API_KEY" \
  -H "X-WHost-Timestamp: $(date +%s)" \
  -H "X-WHost-Nonce: $(openssl rand -hex 16)" \
  -H "X-WHost-Signature: $(compute_hmac)" \
  https://your-server:2000/api/v1/client/python-apps/deploy/{task_id}/events

GET /api/v1/client/python-apps/versions

List Python versions

List installed Python versions visible to the authenticated client account.

Responses:

Status Schema Description
200 ApiSuccess_dict_str__Any__ Successful Response

Response example (200):

JSON
{
  "data": {},
  "message": "",
  "status": "success",
  "warnings": [
    "string"
  ]
}

cURL example:

kabuk
curl -X GET \
  -H "X-WHost-Key: $WHOST_API_KEY" \
  -H "X-WHost-Timestamp: $(date +%s)" \
  -H "X-WHost-Nonce: $(openssl rand -hex 16)" \
  -H "X-WHost-Signature: $(compute_hmac)" \
  https://your-server:2000/api/v1/client/python-apps/versions

DELETE /api/v1/client/python-apps/{app_name}

Delete Python app

Delete a Python app for the authenticated client account.

Path parameters:

Name Type Required Notes
app_name string yes pattern=^[a-z][a-z0-9_-]{1,30}$

Responses:

Status Schema Description
200 MessageResponse Successful Response
422 HTTPValidationError Validation Error

Response example (200):

JSON
{
  "message": "string",
  "status": "success"
}

cURL example:

kabuk
curl -X DELETE \
  -H "X-WHost-Key: $WHOST_API_KEY" \
  -H "X-WHost-Timestamp: $(date +%s)" \
  -H "X-WHost-Nonce: $(openssl rand -hex 16)" \
  -H "X-WHost-Signature: $(compute_hmac)" \
  https://your-server:2000/api/v1/client/python-apps/{app_name}

GET /api/v1/client/python-apps/{app_name}

Get Python app

Get details for a Python app owned by the authenticated client account.

Path parameters:

Name Type Required Notes
app_name string yes pattern=^[a-z][a-z0-9_-]{1,30}$

Responses:

Status Schema Description
200 ApiSuccess_PythonAppResponse_ Successful Response
422 HTTPValidationError Validation Error

Response example (200):

JSON
{
  "data": {
    "app_dir": "string",
    "app_name": "string",
    "app_type": "string",
    "auto_restart": true,
    "created_at": "...",
    "display_name": "string",
    "domain": "example.com",
    "entry_point": "string",
    "env_vars": {},
    "media_dir": "...",
    "media_url": "string",
    "python_version": "string",
    "server_type": "string",
    "socket_path": "string",
    "static_dir": "...",
    "static_url": "string",
    "status": "unknown",
    "username": "alice",
    "venv_dir": "string",
    "websocket": false,
    "worker_class": "string",
    "workers": 0
  },
  "message": "",
  "status": "success",
  "warnings": [
    "string"
  ]
}

cURL example:

kabuk
curl -X GET \
  -H "X-WHost-Key: $WHOST_API_KEY" \
  -H "X-WHost-Timestamp: $(date +%s)" \
  -H "X-WHost-Nonce: $(openssl rand -hex 16)" \
  -H "X-WHost-Signature: $(compute_hmac)" \
  https://your-server:2000/api/v1/client/python-apps/{app_name}

PUT /api/v1/client/python-apps/{app_name}

Update Python app

Update a Python app's configuration for the authenticated client account.

Path parameters:

Name Type Required Notes
app_name string yes pattern=^[a-z][a-z0-9_-]{1,30}$

Body fields:

Field Type Required Notes
auto_restart boolean no —
display_name string no —
domain string no —
entry_point string no —
media_dir string no —
media_url string no —
python_version string no —
static_dir string no —
static_url string no —
websocket boolean no —
worker_class string no —
workers integer no —

Request body example:

JSON
{
  "auto_restart": false,
  "display_name": "string",
  "domain": "string",
  "entry_point": "string",
  "media_dir": "string",
  "media_url": "string",
  "python_version": "string",
  "static_dir": "string",
  "static_url": "string",
  "websocket": false,
  "worker_class": "string",
  "workers": 1.0
}

Responses:

Status Schema Description
200 ApiSuccess_PythonAppResponse_ Successful Response
422 HTTPValidationError Validation Error

Response example (200):

JSON
{
  "data": {
    "app_dir": "string",
    "app_name": "string",
    "app_type": "string",
    "auto_restart": true,
    "created_at": "...",
    "display_name": "string",
    "domain": "example.com",
    "entry_point": "string",
    "env_vars": {},
    "media_dir": "...",
    "media_url": "string",
    "python_version": "string",
    "server_type": "string",
    "socket_path": "string",
    "static_dir": "...",
    "static_url": "string",
    "status": "unknown",
    "username": "alice",
    "venv_dir": "string",
    "websocket": false,
    "worker_class": "string",
    "workers": 0
  },
  "message": "",
  "status": "success",
  "warnings": [
    "string"
  ]
}

cURL example:

kabuk
curl -X PUT \
  -H "X-WHost-Key: $WHOST_API_KEY" \
  -H "X-WHost-Timestamp: $(date +%s)" \
  -H "X-WHost-Nonce: $(openssl rand -hex 16)" \
  -H "X-WHost-Signature: $(compute_hmac)" \
  -H "Content-Type: application/json" \
  -d @body.json \
  https://your-server:2000/api/v1/client/python-apps/{app_name}

GET /api/v1/client/python-apps/{app_name}/env

Get env vars

Get environment variables for the authenticated client's app.

Path parameters:

Name Type Required Notes
app_name string yes pattern=^[a-z][a-z0-9_-]{1,30}$

Responses:

Status Schema Description
200 ApiSuccess_dict_str__Any__ Successful Response
422 HTTPValidationError Validation Error

Response example (200):

JSON
{
  "data": {},
  "message": "",
  "status": "success",
  "warnings": [
    "string"
  ]
}

cURL example:

kabuk
curl -X GET \
  -H "X-WHost-Key: $WHOST_API_KEY" \
  -H "X-WHost-Timestamp: $(date +%s)" \
  -H "X-WHost-Nonce: $(openssl rand -hex 16)" \
  -H "X-WHost-Signature: $(compute_hmac)" \
  https://your-server:2000/api/v1/client/python-apps/{app_name}/env

PUT /api/v1/client/python-apps/{app_name}/env

Set env vars

Set environment variables for the authenticated client's app.

Path parameters:

Name Type Required Notes
app_name string yes pattern=^[a-z][a-z0-9_-]{1,30}$

Body fields:

Field Type Required Notes
env_vars object yes —

Request body example:

JSON
{
  "env_vars": {}
}

Responses:

Status Schema Description
200 ApiSuccess_dict_str__Any__ Successful Response
422 HTTPValidationError Validation Error

Response example (200):

JSON
{
  "data": {},
  "message": "",
  "status": "success",
  "warnings": [
    "string"
  ]
}

cURL example:

kabuk
curl -X PUT \
  -H "X-WHost-Key: $WHOST_API_KEY" \
  -H "X-WHost-Timestamp: $(date +%s)" \
  -H "X-WHost-Nonce: $(openssl rand -hex 16)" \
  -H "X-WHost-Signature: $(compute_hmac)" \
  -H "Content-Type: application/json" \
  -d @body.json \
  https://your-server:2000/api/v1/client/python-apps/{app_name}/env

GET /api/v1/client/python-apps/{app_name}/logs

Get app logs

Tail error/access logs for the authenticated client's app.

Path parameters:

Name Type Required Notes
app_name string yes pattern=^[a-z][a-z0-9_-]{1,30}$

Query parameters:

Name Type Required Notes
lines integer no minimum=1; maximum=5000
log_type string no pattern=^(error|access)$

Responses:

Status Schema Description
200 ApiSuccess_dict_str__Any__ Successful Response
422 HTTPValidationError Validation Error

Response example (200):

JSON
{
  "data": {},
  "message": "",
  "status": "success",
  "warnings": [
    "string"
  ]
}

cURL example:

kabuk
curl -X GET \
  -H "X-WHost-Key: $WHOST_API_KEY" \
  -H "X-WHost-Timestamp: $(date +%s)" \
  -H "X-WHost-Nonce: $(openssl rand -hex 16)" \
  -H "X-WHost-Signature: $(compute_hmac)" \
  https://your-server:2000/api/v1/client/python-apps/{app_name}/logs

POST /api/v1/client/python-apps/{app_name}/manage

Run manage.py

Run a Django manage.py command for the authenticated client's app.

Path parameters:

Name Type Required Notes
app_name string yes pattern=^[a-z][a-z0-9_-]{1,30}$

Body fields:

Field Type Required Notes
args array no —
command string yes minLength=1; maxLength=50; pattern=^[a-z_]+$

Request body example:

JSON
{
  "args": [
    "string"
  ],
  "command": "string"
}

Responses:

Status Schema Description
200 ApiSuccess_ManagePyResponse_ Successful Response
422 HTTPValidationError Validation Error

Response example (200):

JSON
{
  "data": {
    "command": "string",
    "exit_code": 0,
    "stderr": "string",
    "stdout": "string"
  },
  "message": "",
  "status": "success",
  "warnings": [
    "string"
  ]
}

cURL example:

kabuk
curl -X POST \
  -H "X-WHost-Key: $WHOST_API_KEY" \
  -H "X-WHost-Timestamp: $(date +%s)" \
  -H "X-WHost-Nonce: $(openssl rand -hex 16)" \
  -H "X-WHost-Signature: $(compute_hmac)" \
  -H "Content-Type: application/json" \
  -d @body.json \
  https://your-server:2000/api/v1/client/python-apps/{app_name}/manage

GET /api/v1/client/python-apps/{app_name}/pip

List pip packages

List installed pip packages for the authenticated client's app.

Path parameters:

Name Type Required Notes
app_name string yes pattern=^[a-z][a-z0-9_-]{1,30}$

Responses:

Status Schema Description
200 ApiSuccess_list_PipPackageEntry__ Successful Response
422 HTTPValidationError Validation Error

Response example (200):

JSON
{
  "data": [
    {
      "name": "...",
      "version": "..."
    }
  ],
  "message": "",
  "status": "success",
  "warnings": [
    "string"
  ]
}

cURL example:

kabuk
curl -X GET \
  -H "X-WHost-Key: $WHOST_API_KEY" \
  -H "X-WHost-Timestamp: $(date +%s)" \
  -H "X-WHost-Nonce: $(openssl rand -hex 16)" \
  -H "X-WHost-Signature: $(compute_hmac)" \
  https://your-server:2000/api/v1/client/python-apps/{app_name}/pip

POST /api/v1/client/python-apps/{app_name}/pip/install

Install pip packages

Install pip packages for the authenticated client's app.

Path parameters:

Name Type Required Notes
app_name string yes pattern=^[a-z][a-z0-9_-]{1,30}$

Body fields:

Field Type Required Notes
packages array yes —

Request body example:

JSON
{
  "packages": [
    "string"
  ]
}

Responses:

Status Schema Description
200 ApiSuccess_dict_str__Any__ Successful Response
422 HTTPValidationError Validation Error

Response example (200):

JSON
{
  "data": {},
  "message": "",
  "status": "success",
  "warnings": [
    "string"
  ]
}

cURL example:

kabuk
curl -X POST \
  -H "X-WHost-Key: $WHOST_API_KEY" \
  -H "X-WHost-Timestamp: $(date +%s)" \
  -H "X-WHost-Nonce: $(openssl rand -hex 16)" \
  -H "X-WHost-Signature: $(compute_hmac)" \
  -H "Content-Type: application/json" \
  -d @body.json \
  https://your-server:2000/api/v1/client/python-apps/{app_name}/pip/install

POST /api/v1/client/python-apps/{app_name}/pip/requirements

Install from requirements.txt

Install packages declared in requirements.txt for the authenticated client's app.

Path parameters:

Name Type Required Notes
app_name string yes pattern=^[a-z][a-z0-9_-]{1,30}$

Responses:

Status Schema Description
200 ApiSuccess_dict_str__Any__ Successful Response
422 HTTPValidationError Validation Error

Response example (200):

JSON
{
  "data": {},
  "message": "",
  "status": "success",
  "warnings": [
    "string"
  ]
}

cURL example:

kabuk
curl -X POST \
  -H "X-WHost-Key: $WHOST_API_KEY" \
  -H "X-WHost-Timestamp: $(date +%s)" \
  -H "X-WHost-Nonce: $(openssl rand -hex 16)" \
  -H "X-WHost-Signature: $(compute_hmac)" \
  https://your-server:2000/api/v1/client/python-apps/{app_name}/pip/requirements

POST /api/v1/client/python-apps/{app_name}/pip/uninstall

Uninstall pip packages

Uninstall pip packages for the authenticated client's app.

Path parameters:

Name Type Required Notes
app_name string yes pattern=^[a-z][a-z0-9_-]{1,30}$

Body fields:

Field Type Required Notes
packages array yes —

Request body example:

JSON
{
  "packages": [
    "string"
  ]
}

Responses:

Status Schema Description
200 ApiSuccess_dict_str__Any__ Successful Response
422 HTTPValidationError Validation Error

Response example (200):

JSON
{
  "data": {},
  "message": "",
  "status": "success",
  "warnings": [
    "string"
  ]
}

cURL example:

kabuk
curl -X POST \
  -H "X-WHost-Key: $WHOST_API_KEY" \
  -H "X-WHost-Timestamp: $(date +%s)" \
  -H "X-WHost-Nonce: $(openssl rand -hex 16)" \
  -H "X-WHost-Signature: $(compute_hmac)" \
  -H "Content-Type: application/json" \
  -d @body.json \
  https://your-server:2000/api/v1/client/python-apps/{app_name}/pip/uninstall

POST /api/v1/client/python-apps/{app_name}/restart

Restart Python app

Restart a Python app for the authenticated client account.

Path parameters:

Name Type Required Notes
app_name string yes pattern=^[a-z][a-z0-9_-]{1,30}$

Responses:

Status Schema Description
200 ApiSuccess_dict_str__Any__ Successful Response
422 HTTPValidationError Validation Error

Response example (200):

JSON
{
  "data": {},
  "message": "",
  "status": "success",
  "warnings": [
    "string"
  ]
}

cURL example:

kabuk
curl -X POST \
  -H "X-WHost-Key: $WHOST_API_KEY" \
  -H "X-WHost-Timestamp: $(date +%s)" \
  -H "X-WHost-Nonce: $(openssl rand -hex 16)" \
  -H "X-WHost-Signature: $(compute_hmac)" \
  https://your-server:2000/api/v1/client/python-apps/{app_name}/restart

POST /api/v1/client/python-apps/{app_name}/start

Start Python app

Start a Python app for the authenticated client account.

Path parameters:

Name Type Required Notes
app_name string yes pattern=^[a-z][a-z0-9_-]{1,30}$

Responses:

Status Schema Description
200 ApiSuccess_dict_str__Any__ Successful Response
422 HTTPValidationError Validation Error

Response example (200):

JSON
{
  "data": {},
  "message": "",
  "status": "success",
  "warnings": [
    "string"
  ]
}

cURL example:

kabuk
curl -X POST \
  -H "X-WHost-Key: $WHOST_API_KEY" \
  -H "X-WHost-Timestamp: $(date +%s)" \
  -H "X-WHost-Nonce: $(openssl rand -hex 16)" \
  -H "X-WHost-Signature: $(compute_hmac)" \
  https://your-server:2000/api/v1/client/python-apps/{app_name}/start

GET /api/v1/client/python-apps/{app_name}/status

Python app status

Get runtime status of a Python app for the authenticated client account.

Path parameters:

Name Type Required Notes
app_name string yes pattern=^[a-z][a-z0-9_-]{1,30}$

Responses:

Status Schema Description
200 ApiSuccess_PythonAppStatusResponse_ Successful Response
422 HTTPValidationError Validation Error

Response example (200):

JSON
{
  "data": {
    "app_name": "string",
    "memory_mb": "...",
    "pid": "...",
    "status": "string",
    "uptime": "..."
  },
  "message": "",
  "status": "success",
  "warnings": [
    "string"
  ]
}

cURL example:

kabuk
curl -X GET \
  -H "X-WHost-Key: $WHOST_API_KEY" \
  -H "X-WHost-Timestamp: $(date +%s)" \
  -H "X-WHost-Nonce: $(openssl rand -hex 16)" \
  -H "X-WHost-Signature: $(compute_hmac)" \
  https://your-server:2000/api/v1/client/python-apps/{app_name}/status

POST /api/v1/client/python-apps/{app_name}/stop

Stop Python app

Stop a Python app for the authenticated client account.

Path parameters:

Name Type Required Notes
app_name string yes pattern=^[a-z][a-z0-9_-]{1,30}$

Responses:

Status Schema Description
200 ApiSuccess_dict_str__Any__ Successful Response
422 HTTPValidationError Validation Error

Response example (200):

JSON
{
  "data": {},
  "message": "",
  "status": "success",
  "warnings": [
    "string"
  ]
}

cURL example:

kabuk
curl -X POST \
  -H "X-WHost-Key: $WHOST_API_KEY" \
  -H "X-WHost-Timestamp: $(date +%s)" \
  -H "X-WHost-Nonce: $(openssl rand -hex 16)" \
  -H "X-WHost-Signature: $(compute_hmac)" \
  https://your-server:2000/api/v1/client/python-apps/{app_name}/stop
Hâlâ Yardıma mı İhtiyacınız Var?

Yukarıda bulamadığınız her şey için destek ekibimiz her zaman yanınızda.